Package com.pixelmed.dicom

# Class MultiFramePixelData

java.lang.Object
com.pixelmed.dicom.MultiFramePixelData

public class MultiFramePixelData extends Object

## Constructor Summary

Constructors
Constructor
Description
`MultiFramePixelData(int rows, int columns, int samplesPerPixel, int numberOfFrames)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFrame(Attribute pixelData)`
`Attribute`
`getPixelDataAttribute()`
`boolean`
`hasBytePixels()`
`boolean`
`hasWordPixels()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiFramePixelData

public MultiFramePixelData(int rows, int columns, int samplesPerPixel, int numberOfFrames)

## Method Details

### hasBytePixels

public boolean hasBytePixels()

### hasWordPixels

public boolean hasWordPixels()

### getPixelDataAttribute

public Attribute getPixelDataAttribute() throws DicomException

Throws:
  `DicomException`

### addFrame

public void addFrame(Attribute pixelData) throws DicomException

Throws:
  `DicomException`